Bug 1227839 - binutils: ld sporadically generates binaries without relro protection even when told so
Summary: binutils: ld sporadically generates binaries without relro protection even wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: binutils
Version: 6.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Nick Clifton
QA Contact: Miloš Prchlík
Lenka Špačková
URL:
Whiteboard:
Depends On: 1200138
Blocks: 1172231 1271375 1189104 1189204 1198591 1201345 1206541 1206545 1209858
TreeView+ depends on / blocked
 
Reported: 2015-06-03 15:27 UTC by Guenther Deschner
Modified: 2016-05-10 21:11 UTC (History)
21 users (show)

Fixed In Version: binutils-2.20.51.0.2-5.44.el6
Doc Type: Bug Fix
Doc Text:
RELRO protection now properly applied when requested Previously, binary files started by the system loader would, in some cases, lack the Relocation Read-Only (RELRO) protection even though this had been explicitly requested when the application was built. This was due to a miscommunication between the static linker and the system loader. The underlying source code of the linker has been adjusted to ensure that it makes it possible for the loader to apply the RELRO protection, thus restoring the security feature for applications. Applications and all dependent object files, archives, and libraries built with a previous version of _binutils_ should be rebuilt to correct this defect.
Clone Of: 1200138
Environment:
Last Closed: 2016-05-10 21:11:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0824 0 normal SHIPPED_LIVE binutils bug fix update 2016-05-10 22:40:32 UTC

Comment 12 Miloš Prchlík 2016-02-08 14:09:40 UTC
Verified for build binutils-2.20.51.0.2-5.44.el6.

Comment 17 errata-xmlrpc 2016-05-10 21:11:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0824.html


Note You need to log in before you can comment on or make changes to this bug.